/*
 * global.h
 *
 *  Created on: 03.08.2011
 *      Author: Ivan Kulkov (ivan.kulkov@rosalab.ru)
 */

#ifndef LIBPSYNC_GLOBAL_H_
#define LIBPSYNC_GLOBAL_H_

#include <stdlib.h>

#define GLOBAL_SERVICE_PRODUCT_NAME		"MandrivaSync"
#define GLOBAL_SERVICE_IPC_DIR			std::string().append(getenv("HOME")).append("/.psyncclient/")
#define GLOBAL_SERVICE_CONFIG_DIR		std::string().append(getenv("HOME")).append("/.psyncclient/cfg/").c_str()
#define GLOBAL_SERVICE_INFO_DIR		std::string().append(getenv("HOME")).append("/.psyncclient/info/").c_str()

#define GLOBAL_EXECUTABLE_NAME_CONFIG	"psyncconfig"
#define GLOBAL_EXECUTABLE_NAME_DAEMON	"psyncd"
#define GLOBAL_EXECUTABLE_NAME_NOTIFY	"psyncnotify"

#define GLOBAL_SERVICE_LCONFIG_DIR		std::string().append(getenv("HOME")).append("/.psyncclient/sync.cfg").c_str()

#endif /* LIBPSYNC_GLOBAL_H_ */
