#ifndef IPCMEDIA_H
#define IPCMEDIA_H

#include "ipcpacket.h"
#include <string>

//class IPCMediaInterface;
class IPCMedia
{
public:
    IPCMedia();
    ~IPCMedia();
    static int send(std::string receiver, std::string sender, int type, unsigned char* data=NULL, unsigned long len=0);
    static int send(std::string receiver, std::string sender, IPCPacket* pkt);
    static int send(int s, std::string receiver, std::string sender, IPCPacket* pkt);
    virtual int wrapsend(std::string receiver, std::string sender, int type, unsigned char* data=NULL, unsigned long len=0);
    virtual int wrapsend(std::string receiver, std::string sender, IPCPacket* pkt);
    virtual int wrapsend(int s, std::string receiver, std::string sender, IPCPacket* pkt);
};

#endif // IPCMEDIA_H
